
--------------------------------------------------------------------------------------
--# GtkGrid; overlaying items
--------------------------------------------------------------------------------------

include GtkEngine.e

constant docs = `                       <b><u>GtkGrid</u></b> 


lets you position items manually,
even overlapping, if you want.

`
constant win = create(GtkWindow,
    "size=100x100,border_width=10,position=1,$destroy=Quit")

constant lbl  = create(GtkLabel,{{"markup",docs}})
constant img3 = create(GtkImage,"thumbnails/BabyTux.png")
constant img1 = create(GtkImage,"thumbnails/dino_slo.gif")
constant img4 = create(GtkImage,"thumbnails/clown.png")

constant grid = add(win,create(GtkGrid))
    set(grid,{
        {"row spacing",2},
        {"column spacing",2},
        {"attach",lbl,1,1,4,5},
        {"attach",img3,1,1,1,1},
        {"attach",img1,4,4,1,4},
        {"attach",img4,2,5,4,3}})
        
show_all(win)
main()
